make bootstrap.sh test for prerequisites

git-svn-id: svn://svn.code.sf.net/p/openhip/code/hip/branches/hipv2@203 4c5cb64f-9889-4596-9799-84b02dc3effa
This commit is contained in:
Tom Henderson 2012-03-06 18:37:46 +00:00
parent d70ddea5eb
commit c2d26fc2c0
1 changed files with 5 additions and 0 deletions

View File

@ -1,5 +1,10 @@
#!/bin/sh
# Test for prerequisites aclocal, automake, autoconf
command -v aclocal >/dev/null 2>&1 || { echo >&2 "Command 'aclocal' not found, aborting."; exit 1;}
command -v automake >/dev/null 2>&1 || { echo >&2 "Command 'automake' not found, aborting."; exit 1;}
command -v autoconf >/dev/null 2>&1 || { echo >&2 "Command 'autoconf' not found, aborting."; exit 1;}
# libtool is only used to build the configuration libraries associated
# with the --enable-vpls configure option
if [ "$1a" = "--enable-vplsa" ]; then